#!/bin/bash
# MAA start/stop/status for 15.1. for 15.2 use dse4.7
# MAA start/stop/status for 15.1. for 15.1 use dse-4.5.1
#
# description: Auto-starts CA MAA instances
# processname: tomEE, Aggregator, cassandra
## kopja02@ca.com, CA 2015

start() {
sh /opt/ca/maa/apache-tomee-plus-1.6.0/bin/startup.sh
sh /opt/ca/maa/dse4.7/bin/./dse cassandra –s
sleep 10
cd /opt/ca/maa/java/mdo-aggregator/bin
sh startAgg.sh
sh /opt/ca/maa/maa-apache-tomee-plus-1.6.0/bin/startup.sh
}

stop() {
sh /opt/ca/maa/maa-apache-tomee-plus-1.6.0/bin/shutdown.sh
sleep 2
ps -ef|grep mdo-aggregator |grep -v grep |awk '{print $2}'|xargs kill -9
sleep 2
ps -ef|grep cassandra |grep -v grep |awk '{print $2}'|xargs kill -9
sleep 2
sh /opt/ca/maa/apache-tomee-plus-1.6.0/bin/shutdown.sh
sleep 2
ps -ef|grep tomee |grep -v grep |awk '{print $2}'|xargs kill -9
}

status() {

SERVICE1='cassandra'
SERVICE2='aggregator'
SERVICE3='maa-apache-tomee'
SERVICE4='apache-tomee'
 
if ps ax | grep -v grep | grep $SERVICE1 > /dev/null
then
    echo "$SERVICE1 service running"
else
    echo "$SERVICE1 is not running"

fi

if ps ax | grep -v grep | grep $SERVICE2 > /dev/null
then
    echo "$SERVICE2  service running"
else
    echo "$SERVICE2 is not running"
 
fi

if ps ax | grep -v grep | grep $SERVICE3 > /dev/null
then
    echo "MAA server ($SERVICE3) running"
else
    echo "MAA server ($SERVICE3) is not running"
 
fi


if ps ax | grep -v grep | grep $SERVICE4 > /dev/null
then
    echo "Collector service ($SERVICE4) running"
else
    echo "Collector ($SERVICE4) is not running"
 
fi

if ps ax | grep -v grep | grep java > /dev/null
then
    echo "Java processes running"
else
    echo "No java processes running"
 
fi

}

case $1 in
  start|stop|status) $1;;
  *) echo "Run as $0 <start|stop|status>"; exit 1;;
esac
